/*****************************************************************************\
 * FILE: guiDropDownMenu.h
 *
 * PURPOSE: Defines a drop down menu
 *
 * Created by Eric Akers, 22 Dec 2003
 *
 * ChangeLog:
 *     ELA - <Date> - Initial Working Version
 *
 *
 *
 *   
 *   Copyright (C) 2003 Eric Akers
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
\*****************************************************************************/



#ifndef GUIDROPDOWNMENU_H
#define GUIDROPDOWNMENU_H

// Header Files #############################################################
#include <vector>

#include "guiObject.h"
#include "guiMenuItem.h"

using namespace std;

// Macros ###################################################################


// Structures ###############################################################


// Global Variables #########################################################


// Class Definition #########################################################
class guiDropDownMenu : public guiObject
{
 public:
  guiDropDownMenu();
  guiDropDownMenu( GLdouble topLeftX, GLdouble topLeftY, GLdouble width, 
		   GLdouble height );
  ~guiDropDownMenu();

  // Setters
  virtual void setLabel( string label );
  virtual void setGLFont( GLFont * font );

  // Add items to the combo box
  void addItem( guiMenuItem * item );

  // Draw the box
  virtual void draw();

  // Handle mouse events
  virtual bool doMouseEvent( Uint8 button, Uint8 state, Uint16 x, Uint16 y );

 private:
  // Array of menu items
  vector<guiMenuItem*> menuItems;
};


#endif
